DIR=d

.SILENT:
.PHONY:	all list plot corr dump coll tar

all:
	$(MAKE) plot
	echo
	$(MAKE) dump
	echo
	$(MAKE) coll
	echo

list:
	ls -1 $(DIR)/*-stat | sed 's|.*/||;s/-stat//' | sort -n

plot:
	./plot-cdf $(DIR)/log && display out.png &

corr:
	./plot-corr $(DIR)/log && display out.png &

dump:
	./bscmp $(DIR)/*-corrupt.bin

coll:
	./collda $(DIR)/log

tar:
	tar cfj raw.tar.bz2 $(DIR)/log $(DIR)/*.bin
